Package org.kapott.hbci.manager

## Class BankInfo

- java.lang.Object
- - org.kapott.hbci.manager.BankInfo

    public class BankInfo
    extends java.lang.Object

Kapselt die Infos zu einer Bank.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getBic()` Liefert die BIC.
`java.lang.String` `getBlz()` Liefert die BLZ.
`java.lang.String` `getChecksumMethod()` Liefert die Nummer des Pruefziffern-Verfahrens.
`java.lang.String` `getLocation()` Liefert den Ort der Bank.
`java.lang.String` `getName()` Liefert den Namen der Bank.
`java.lang.String` `getPinTanAddress()` Liefert die HBCI-URL fuer das Verfahren PIN/TAN.
`HBCIVersion` `getPinTanVersion()` Liefert die HBCI-Version fuer das Verfahren PIN/TAN.
`java.lang.String` `getRdhAddress()` Liefert die Server-Adresse fuer das Verfahren Schluesseldatei.
`HBCIVersion` `getRdhVersion()` Speichert die HBCI-Version fuer das Verfahren Schluesseldatei.
`void` `setBic​(java.lang.String bic)` Speichert die BIC.
`void` `setBlz​(java.lang.String blz)` Speichert die BLZ.
`void` `setChecksumMethod​(java.lang.String checksumMethod)` Speichert die Nummer des Pruefziffern-Verfahrens.
`void` `setLocation​(java.lang.String location)` Speichert den Ort der Bank.
`void` `setName​(java.lang.String name)` Speichert den Namen der Bank.
`void` `setPinTanAddress​(java.lang.String pinTanAddress)` Speichert die HBCI-URL fuer das Verfahren PIN/TAN.
`void` `setPinTanVersion​(HBCIVersion pinTanVersion)` Speichert die HBCI-Version fuer das Verfahren PIN/TAN.
`void` `setRdhAddress​(java.lang.String rdhAddress)` Speichert die Server-Adresse fuer das Verfahren Schluesseldatei.
`void` `setRdhVersion​(HBCIVersion rdhVersion)` Liefert die HBCI-Version fuer das Verfahren Schluesseldatei.
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getBlz

    public java.lang.String getBlz()

Liefert die BLZ.

Returns:
  die BLZ.

#### setBlz

    public void setBlz​(java.lang.String blz)

Speichert die BLZ.

Parameters:
  `blz` - die BLZ.

#### getBic

    public java.lang.String getBic()

Liefert die BIC.

Returns:
  die BIC.

#### setBic

    public void setBic​(java.lang.String bic)

Speichert die BIC.

Parameters:
  `bic` - die BIC.

#### getChecksumMethod

    public java.lang.String getChecksumMethod()

Liefert die Nummer des Pruefziffern-Verfahrens.

Returns:
  die Nummer des Pruefziffern-Verfahrens.

#### setChecksumMethod

    public void setChecksumMethod​(java.lang.String checksumMethod)

Speichert die Nummer des Pruefziffern-Verfahrens.

Parameters:
  `checksumMethod` - die Nummer des Pruefziffern-Verfahrens.

#### getLocation

    public java.lang.String getLocation()

Liefert den Ort der Bank.

Returns:
  Ort der Bank.

#### setLocation

    public void setLocation​(java.lang.String location)

Speichert den Ort der Bank.

Parameters:
  `location` - der Ort der Bank.

#### getName

    public java.lang.String getName()

Liefert den Namen der Bank.

Returns:
  der Name der Bank.

#### setName

    public void setName​(java.lang.String name)

Speichert den Namen der Bank.

Parameters:
  `name` - der Name derBank.

#### getPinTanAddress

    public java.lang.String getPinTanAddress()

Liefert die HBCI-URL fuer das Verfahren PIN/TAN.

Returns:
  die HBCI-URL fuer das Verfahren PIN/TAN.

#### setPinTanAddress

    public void setPinTanAddress​(java.lang.String pinTanAddress)

Speichert die HBCI-URL fuer das Verfahren PIN/TAN.

Parameters:
  `pinTanAddress` - die HBCI-URL fuer das Verfahren PIN/TAN.

#### getPinTanVersion

    public HBCIVersion getPinTanVersion()

Liefert die HBCI-Version fuer das Verfahren PIN/TAN.

Returns:
  die HBCI-Version fuer das Verfahren PIN/TAN.

#### setPinTanVersion

    public void setPinTanVersion​(HBCIVersion pinTanVersion)

Speichert die HBCI-Version fuer das Verfahren PIN/TAN.

Parameters:
  `pinTanVersion` - die HBCI-Version fuer das Verfahren PIN/TAN.

#### getRdhAddress

    public java.lang.String getRdhAddress()

Liefert die Server-Adresse fuer das Verfahren Schluesseldatei.

Returns:
  die Server-Adresse fuer das Verfahren Schluesseldatei.

#### setRdhAddress

    public void setRdhAddress​(java.lang.String rdhAddress)

Speichert die Server-Adresse fuer das Verfahren Schluesseldatei.

Parameters:
  `rdhAddress` - die Server-Adresse fuer das Verfahren Schluesseldatei.

#### getRdhVersion

    public HBCIVersion getRdhVersion()

Speichert die HBCI-Version fuer das Verfahren Schluesseldatei.

Returns:
  die HBCI-Version fuer das Verfahren Schluesseldatei.

#### setRdhVersion

    public void setRdhVersion​(HBCIVersion rdhVersion)

Liefert die HBCI-Version fuer das Verfahren Schluesseldatei.

Parameters:
  `rdhVersion` - die HBCI-Version fuer das Verfahren Schluesseldatei.

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`
See Also:
  `Object.toString()`